SquirrelMail  
Donations
News
About
Support
Screen shots
Download
Plugins
Documentation
Sponsors
Bounties













Security Notice
Phishing campain
Version 1.4.15
Security Upgrade
Plugins - Quick Save
Category: Compose

This plugin automatically saves messages as they are being composed in order to prevent accidental loss of message content due to having browsed away from the compose screen or more serious problems such as browser or computer crashes. When a message appears to have been lost and is available for recovery, the user will be prompted about whether or not the recovery should proceed.


Version 2.4.5
by Paul Lesniewski on Feb 4, 2010
Please support this plugin's development: Donate to this author
[ quicksave-2.4.5-1.2.9.tar.gz tarball (5308 d/l) Help ]
Requires: SquirrelMail 1.2.9 or above, Compatibility plugin v2.0.7, Javascript-capable browser

Description:
  • Minor fix for rare PHP notices in login routine

Older versions

Version 2.4.4
by Paul Lesniewski on Feb 2, 2010
[ quicksave-2.4.4-1.2.9.tar.gz tarball (1615 d/l) Help ]
Requires: SquirrelMail 1.2.9 or above, Compatibility plugin v2.0.7, Javascript-capable browser

Description:
  • Bug fix in moderate encryption routine that would render plugin functionality unusable for certain usernames. Although related to the same code, this is a DIFFERENT fix from what was done in version 2.4.3.


Version 2.4.3
by Paul Lesniewski on Dec 19, 2009
[ quicksave-2.4.3-1.2.9.tar.gz tarball (1745 d/l) Help ]
Requires: SquirrelMail 1.2.9 or above, Compatibility plugin v2.0.7, Javascript-capable browser

Description:
  • Bug fix in moderate encryption routine that would render plugin functionality unusable for certain usernames. Thanks to Wolfgang Breyha.


Version 2.4.2
by Paul Lesniewski on Sep 18, 2007
[ quicksave-2.4.2-1.2.9.tar.gz tarball (7251 d/l) Help ]
Requires: SquirrelMail 1.2.9, Compatibility plugin v2.0.7, Javascript-capable browser

Description:
  • Don't offer recovery when SquirrelMail does it natively
  • Fix fatal error upon login under 1.5.2+


Version 2.4.1
by Paul Lesniewski on Aug 17, 2007
[ quicksave-2.4.1-1.2.9.tar.gz tarball (2341 d/l) Help ]
Requires: SquirrelMail 1.2.9, Compatibility plugin v2.0.7, Javascript-capable browser

Description:
  • Add message recovery alert upon login in MOTD at top of message list
  • Trim and do not recover whitespace-only messages
  • Added additional compatibility fix for Restrict Senders and Censor plugins
  • Clean up SquirrelMail's incomplete compose message cache when cancel button is clicked


Version 2.4
by Paul Lesniewski on Apr 7, 2007
[ quicksave-2.4-1.2.9.tar.gz tarball (3732 d/l) Help ]
Requires: SquirrelMail 1.2.9, Compatibility plugin v2.0.7, Javascript-capable browser

Description:
  • Removed hidden form storage mechanism
  • Default save frequency changed to five seconds and is configurable by the administrator
  • Recovery decision made more reliably on server in PHP rather than by the client side script
  • Added ability for admin to configure defaults for save frequency and encryption and turn off display options if desired
  • Allow admin to indicate that the beginning of the message body should be shown in recovery alerts
  • Save-draft patch no longer needed
  • Fixed error popups that occurred when moderate encryption was enabled
  • Correct internationalization
  • Recovery much more reliable when using HTML Mail plugin (only unreliable recovery seems to be with HTMLArea editor under Gecko browsers)
  • Lots of general cleanup
  • Uses new sq_change_text_domain() for correct i18n
  • Reduced added code by about 5kb


Version 2.3
by Paul Lesniewski on Sep 21, 2003
[ quicksave-2.3-1.1.0.tar.gz tarball (18179 d/l) Help ]
Requires: SquirrelMail 1.0.0, Compatibility plugin, Javascript-capable browser

Description:
  • Updated for new SM version reporting API.
  • Updated for compatibility with HTML Mail plugin... note that it is quirky in this context (IE sometimes takes a couple minutes to start saving, no idea why except that this much javascript can bring down the most stable of browsers...). For best results, please make sure that Quicksave is installed *AFTER* the HTML Mail plugin!


Version 2.2
by Paul Lesniewski on Mar 13, 2003
[ quicksave-2.2-1.1.0.tar.gz tarball (6524 d/l) Help ]
Requires: SquirrelMail 1.0.0, Compatibility plugin, Javascript-capable browser

Description:
  • Fix for javascript problem with comparing multi-line message bodies that was crashing quicksave and causing browser errors.
  • Fixed false recover alerts when cookie only saved part of a long body (see below, nothing we can do about RFC-imposed cookie limits).
Make sure to download the Compatibility plugin in order for Quicksave to function correctly.

Version 2.1
by Paul Lesniewski on Mar 4, 2003
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Compatibility plugin, Javascript-capable browser

Description: No real reason to upgrade unless you're interested in:
Minor (optional) fix in the form of a source code patch is included if you don't like the "auto-draft recovery" "feature" (bug) where QuickSave gives false recover alerts after the "Save Draft" button is pressed.

Version 2.0
by Paul Lesniewski on Mar 1, 2003
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Compatibility plugin, Javascript-capable browser

Description:
  • Added persistent cookies so recoveries can be offered even if the browser crashes.
  • Added encryption to persistent cookies (but please read the CHANGELOG and README files for more information on encryption levels).
  • Added user controls for save frequency and encryption levels.
  • Fix for false recovery alerts when adding signature or getting addresses or attachments.
  • Fix for problems in version 1.2.0 that prevented recovery between login sessions.
  • Updated to work with SquirrelMail 1.4
  • New setup.php format for better overall SquirrelMail performance.

Version 1.2.0 (no longer available, since it was buggy):
  • Added user controls for quicksave frequency (and the option to turn it off).
  • Changed functionality so that quicksave will not think the message has been sent until it is really sent, instead of turning itself off when the "Send" button is pressed.
  • Fix for signatures with quotation marks in them that was causing javascript errors.


Version 1.1.4
by Paul Lesniewski on Nov 12, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Javascript-capable browser

Description: When "Compose In New Window" is turned on, the CANCEL button will now close the window (complements Bruce [itsbruce at uklinux.net]).

Version 1.1.3
by Paul Lesniewski on Nov 5, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Javascript-capable browser

Description:
  • User signatures are recognized as being different from a message body with actual message text in it, so false alerts when using a signature have been fixed. (Lots of thanks to Nick Tan [nick at wehi.edu.au] for helping track down and test this!)
  • All output strings have been internationalized (as of now, there is not a quicksave domain (if someone thinks this is appropriate, it can be done easily), so the translations should be updated in the squirrelmail domain -- see the .po file in the quicksave directory for the strings you need to translate).
  • Updated for compatibility with the Plugin Update plugin.


Version 1.1.2
by Paul Lesniewski on Aug 20, 2002
[ quicksave.1.1.2-1.1.0.tar.gz tarball (4678 d/l) Help ]
Requires: SquirrelMail 1.1.0

Description:
A few minor changes
New pop-up text when restoring messages
Fix so it doesn't try to restore messages with no content


Version 1.1.1
by Ray Black III on May 10, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Javascript-capable browser

Description: A ton more javascript fixes, focused around the problems we had when the Compose page was in its own window. So, to put it best, Quicksave should now be fully compliant with both the New Window and Compose In New Window plugins. Also added a fix for folks like myself who use the pagination feature (thanks to Cor Bosman for that). Finally, the Cancel button now pseudo-intelligently returns you to the message list if you'd clicked 'Compose', or back to your message if you'd clicked Forward or Reply (or Reply All).

Version 1.1.0
by Ray Black III on Mar 6, 2002
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Javascript-capable browser

Description: Javascript bug is now fixed for our IE-using friends, plus proper PHP tags for all those wierd folks out there not using short tags. It still doesn't recover the Identity or Priority, if they're set, but that's minor stuff. Also, it seems to not work with 'compose in new window'. (Big, super-sized thanks go to Seth Randall for doing the leg work on this release.)

Version 1.0.0
by Ray Black III on Apr 30, 2001
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0

Description: Values are now stored in cookies instead of a form so it's now super-powered and won't lose your message no matter what! Just don't close the browser! Netscape users will see the most benefit since it fixes the dreaded Window Resize problem, but everyone will benefit from the super powers that cookies give us! If you don't use cookies, then it'll still work fine. The old, cookie-free 0.x storage method is used as a backup just in case.
Note: You probably don't want to use this plugin if you are prompted every time a cookie is set. You will be brutalized, because it saves 6 values to the cookie every second. Yikes! Then again, you're probably used to hitting 'accept' or 'deny' 20 times per site anyway, cause that's what happened to me when I used to do that. But that's your own choice, so I've got no sympathy for you. :)

Version 0.3
by Ray Black III on Feb 21, 2001
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0pre3, Javascript capable browser

Description: Values only saved when fields have a value, better handling in general.

Version 0.2
by Ray Black III on Jan 24, 2001
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0pre3, Javascript capable browser

Description: Fixed some logic errors, and noted the requirement of SM 1.0pre3 in the README.

Version 0.6
by Ray Black III on Unknown
[ This version is not available. You might be able to get it by asking on the "squirrelmail-plugins" mailing list or by contacting the author. ]
Requires: SquirrelMail 1.0.0, Javascript-capable browser

Description:

If you have problems with the download or decompressing...
Internet Explorer
Right-click on the file, then select "Save Target As"
Firefox, Mozilla, Netscape
Right-click on the file, then select "Save Link As"
Opera
Right-click on the file, then select "Save Link Document As"
Lynx and Links
Press "d" on the link to download the file directly.
  • Untarring problems: Your browser might have un-gzipped it for you automatically. Try just "tar xvf" instead of "tar xvfz". Also, the plugins archive isn't gzipped (it is a tarball of .tar.gz files)
  • Macintosh users: Just hold down your mouse button to get the menu instead of right-clicking.
  • If all else fails, seek our help
© 1999-2010 by The SquirrelMail Project Team